Subject: bug#28850: 26.0.90; Error running timer 'jit-lock-stealth-fontify': (error "Invalid search bound (wrong side of point)")

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Apr 2019 18:26:26 +0300

> From: "Basil L. Contovounesios" <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  <[email-masked]>
> Date: Tue, 30 Apr 2019 13:57:16 +0100
> 
> Alan Mackenzie <[email-masked]> writes:
> 
> > The cause of this is a (search-forward-regexp <regexp> limit t) in a loop, where
> > the code fails to check (< (point) limit) at the start.  In textprop.c in
> > master, it so happens that the last successful iteration of the loop
> > leaves point beyond limit.  So we get the exception.
> >
> > This is easy to correct, but first I'm going to check for all the other
> > places where the same mistake occurs.  Expect a patch soon!
> 
> How exciting!  Thanks for looking into this so quickly.

Seconded.

FWIW, I think I see something similar in Emacs 26.2, I will try to
catch it one of these days.